Bug 154650 - kernel-2.6.11-1.14_FC3 hang on boot
kernel-2.6.11-1.14_FC3 hang on boot
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 158607 158609 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-13 06:50 EDT by Eric Tanguy
Modified: 2015-01-04 17:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:01:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Tanguy 2005-04-13 06:50:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
If i try to boot 2.6.11-1.14_FC3 kernel with rhgb the system hangs just after the devices initialization (i use nv driver) . If i try to boot the 2.6.11-1.14_FC3 kernel without rhgb the system hangs at the swap activation. If i boot the 2.6.10-1.770_FC3 kernel with or without rhgb all is fine.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3

How reproducible:
Always

Steps to Reproduce:
1. boot with 2.6.11-1.14_FC3 kernel
2. system hangs
3.
  

Actual Results:  system hangs

Expected Results:  system boot normally

Additional info:
Comment 1 Eric Tanguy 2005-04-13 17:53:01 EDT
When the 2.6.11-1.14_FC3 kernel hang with or without rhgb i can't find anything
related to this kernel in /var/log/messages so i can't see why it hangs.
Comment 2 Dave Jones 2005-04-13 17:58:02 EDT
I'll bet its hanging loading some module.

can you do the following..

mv /sbin/modprobe /sbin/modprobe.real

and create a /sbin/modprobe script which is..

#!/bin/bash
echo $@
sleep 1
/sbin/modprobe.real $@

(don't forget the chmod +x /sbin/modprobe  :-)

that should echo to the screen the last module it loaded just before it went bang.
Comment 3 Dave Jones 2005-04-14 00:27:09 EDT
When you say "(i use nv driver)", you do mean the opensource X.org driver, and
not the binary NVidia driver right ?
Comment 4 Eric Tanguy 2005-04-14 00:39:15 EDT
In fact i have binary NVidia driver installed and the kernel module for
2.6.10-1.770_FC3 kernel. When i boot the 2.6.10-1.770_FC3 i have driver "nvidia"
in /etc/X11/xorg.conf but when i boot the kernel-2.6.11-1.14_FC3 i have driver
"nv" in /etc/X11/xorg.conf to test it without rebuilding the kernel module
against the new kernel. If i understand well rhgb use the driver listed in
xorg.conf to know the driver to use with rhgb so i prefer to test the kernel
with "pure" module.
Comment 5 Dave Jones 2005-04-14 00:49:56 EDT
ok. try the modprobe thing then, that should at least point the finger in the
right direction.
Comment 6 Anders Widell 2005-04-14 15:51:54 EDT
I seem to have a similar problem. My system hangs at boot after upgrading from
kernel-smp-2.6.10-1.770_FC3.i686 to kernel-smp-2.6.11-1.14_FC3.i686. I added
printouts to rc.sysinit (the modprobe script didn't work), and it seems to hang
while loading the bt878 module.

I have a VisionDTV PCI card (nowdays called TwinhanDTV).
Comment 7 Eric Tanguy 2005-04-14 16:56:07 EDT
So i tried the modprobe script and i understand nothing. First of all i saw
nothing more written during boot process due to this script. The problem is with
this script the 2.6.11-1.14_FC3 kernel boot fine with or without rhgb!! Ican't
understand. Maybe the sleep ??
I'm afraid to remove this script and the system hang one more time ...
Comment 8 Dave Jones 2005-04-14 17:32:03 EDT
that is very odd. without rhgb, you should be seeing extra messages logged to
teh console every time it loads a module.
Comment 9 Eric Tanguy 2005-04-14 17:36:25 EDT
Without rhgb i saw no more message than before using this script or maybe one
module parameter sometimes but that's all.
Comment 10 Dave Jones 2005-04-14 17:42:21 EDT
ok, if you remove the 'sleep' does it hang again ? If so, what was the last
thing it printed ?
Comment 11 Eric Tanguy 2005-04-14 18:04:43 EDT
i removed the sleep. First i reboot and the kernel boot fine. Second i try to
cold boot (from poweroff) and the system hangs at the same place just after swap
initialization [ok]. I saw nothing more written on the screen!
So i hard reboot and the system asks to press y to control the integrity ... i
try to press y but nothing happened (seems that the keyboard does not respond)
and it continue the boot process and hangs at the same point. I hard reboot and
select the 2.6.10 kernel but strangely the system did not ask me to press y to
control the integrity!! and boot fine. I put the sleep in the script and will
try more.
I understand nothing. It seems to be a random problem :-) 
Comment 12 Dave Jones 2005-05-23 19:00:17 EDT
*** Bug 158607 has been marked as a duplicate of this bug. ***
Comment 13 Dave Jones 2005-05-23 19:02:16 EDT
*** Bug 158609 has been marked as a duplicate of this bug. ***
Comment 14 Dave Jones 2005-07-15 16:26:30 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 15 Dave Jones 2005-10-02 21:01:55 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.